# shellcheck disable=SC2034,SC2145

export NGINX_CONFIG_VERSION=v2
export APP_ENTRYPOINT_VERSION=v1

sub_npm() {
  abra__service_="app"

  ARGS="-e NODE_CONFIG_DIR=/config -e NODE_ENV=production"

  sub_app_run bash -c "\
    export PEERTUBE_DB_PASSWORD=\$(cat /run/secrets/db_password) && \
    npm run \"$@\" \
  "
}

sub_prune() {
    sub_npm prune-storage
    unsilence
    success "Storage pruned - don't forget to restart your Peertube instance!"
}

sub_regen_thumb() {
    sub_npm regenerate-thumbnails
    unsilence
}
